import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';
Vue.use(Vuex);
const api = {
  expertsuserInfo: `/api/market/expertsuser`,
};
const state = () => ({});
const mutations = {};

const actions = {
  async query({ commit }, { skip = 0, limit = undefined, ...info } = {}) {
    const res = await this.$axios.$get(api.expertsuserInfo, {
      skip,
      limit,
      ...info,
    });
    return res;
  },
  async create({ commit }, payload) {
    const res = await this.$axios.$post(`${api.expertsuserInfo}`, payload);
    return res;
  },
  async fetch({ commit }, payload) {
    const res = await this.$axios.$get(`${api.expertsuserInfo}/${payload}`);
    return res;
  },
  async update({ commit }, { id, ...info } = {}) {
    const res = await this.$axios.$post(`${api.expertsuserInfo}/update/${id}`, {
      ...info,
    });
    return res;
  },
  async delete({ commit }, payload) {
    const res = await this.$axios.$delete(`${api.expertsuserInfo}/${payload}`);
    return res;
  },
  async upgrade({ commit }, { id, ...info } = {}) {
    const res = await this.$axios.$post(`${api.expertsuserInfo}/upgrade/${id}`, {
      ...info,
    });
    return res;
  },
};

export default {
  namespaced: true,
  state,
  mutations,
  actions,
};
